﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebDisplayASimpleMap
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                SimpleMarkerOverlay simpleMarkerOverlay = new SimpleMarkerOverlay("simpleMarkerOverlay");

                ContextMenu kansasMenu = new ContextMenu("kansas", 180);
                ContextMenuItem redirectItem = new ContextMenuItem("<a href='http://en.wikipedia.org/wiki/Lawrence%2C_Kansas' target='_blank'>Lawrence<a>");
                ContextMenuItem showPositionItem = new ContextMenuItem("CurrentPosition(Server Event)");
                showPositionItem.Click += new EventHandler<ContextMenuItemClickEventArgs>(showPosition_Click);

                kansasMenu.MenuItems.Add(redirectItem);
                kansasMenu.MenuItems.Add(showPositionItem);

                simpleMarkerOverlay.Markers.Add(new Marker(-94.558, 39.078) { ContextMenu = kansasMenu });

                ContextMenu washington = new ContextMenu("washington", 180);
                ContextMenuItem centerHere = new ContextMenuItem("<div onclick='Map1.PanToWorldCoordinate(-77.013222, 38.913611);'>Center map here</div>");

                washington.MenuItems.Add(centerHere);

                simpleMarkerOverlay.Markers.Add(new Marker(-77.013222, 38.913611) { ContextMenu = washington });

                Map1.CustomOverlays.Add(simpleMarkerOverlay);
            }
        }

        private void showPosition_Click(object sender, ContextMenuItemClickEventArgs e)
        {
            //server event
        }
    }
}